Category:  Estimated time: 0.00 hour

Target version:    

Description

I'm working on updating the CTA sensitivity plots with ctools, but values do not match official performance reports.

cssens.py currently interpolates the source and background models to match a normalization that yields a detection at the threshold.

However, this value underestimates the sensitivity at high energies since there are very few source counts and still classified as a

"detection". It is recommended to have a minimum of 10 counts from the signal region. Documentation around this website seems to

indicate that developers are aware of this limitation, and that cssens gives much lower values than official performance reports. This

feature could be an extra if/else statement at the convergence block (lines 444-461 in version 1.3.0) that checks the number of signal

counts, then interpolates a higher TS threshold that could yield a minimum number of counts. You would thus also have to compute

the number of source counts, which could be done right after the fit. The interpolation could be as simple as multiplying the threshold

by a similar scale as the correction factor used to scale down the flux, but defined with regard to the number of source counts.

Related issues:

Duplicated by ctools - Feature # 3668: add minimal event counts to cssens Closed 05/11/2021

History

#1 - 10/09/2017 03:38 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#2 - 05/19/2021 05:37 PM - Knödlseder Jürgen

- Duplicated by Feature #3668: add minimal event counts to cssens added

#3 - 05/19/2021 05:38 PM - Knödlseder Jürgen

- Status changed from New to Closed

A duplicated feature was created with issue #3668. Since some code changes were done on this feature I close this issue now.
